<?xml version="1.0" encoding="GB2312"?>
<Config>
	<FacesrEnbale>1</FacesrEnbale>
	<PlatformInfo>QUALCOMM</PlatformInfo>
	<UseFaceSR>0</UseFaceSR>
	<UseFaceSRBokeh>1</UseFaceSRBokeh>  <!-- facesr switch for Bokeh -->
	<OneFaceSR>1</OneFaceSR>			<!-- 1:Only one face for FaceSR -->
	<OneScaleT>1.5</OneScaleT>			<!-- The threshold between the first two faces -->
	<MinFaceSize>100</MinFaceSize>  	<!-- <MinFaceArea>120000</MInFaceArea> -->
	<MaxFaceSize>5000</MaxFaceSize>  	<!-- <MaxFaceArea>1920000</MaxFaceArea> -->
	<FaceRatio>1.334</FaceRatio>
	<MaxFaceTime>1500</MaxFaceTime>
	<ISOLimit>500</ISOLimit>
	<CalcMethod>0</CalcMethod>  		<!-- 0 represents for running on mobiles£»1 represents for running on server-->
	<ipuSubfix>.ms</ipuSubfix>
	<Network2x>idndeblur_5432_26000</Network2x>
	<Weights2x>idndeblur_5432_26000</Weights2x>
	<Network4xLow>idndeblur_5432_26000</Network4xLow>
	<Weights4xLow>idndeblur_5432_26000</Weights4xLow>
	<Network4xHigh>idndeblur_5432_26000</Network4xHigh>
	<Weights4xHigh>idndeblur_5432_26000</Weights4xHigh>
	<TransitionRatio>0.2</TransitionRatio>
	<FacePrejudgeRatio>0.0</FacePrejudgeRatio>
	<DetDarkFace>0</DetDarkFace>
	<TopHistNum>5</TopHistNum>
	<TopAvgThresh>45</TopAvgThresh>
	<facesrnetname>/odm/etc/camera/cnnmodel/facesr/facesr_front</facesrnetname>
	<segmentW>384</segmentW>
	<segmentH>384</segmentH>
	<padding>32</padding>
	<isFacesrBypassGPU>1</isFacesrBypassGPU> <!-- Bypass AIX eng for facesrNet -->
	<facesrNet>
		<tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
		<nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
		<tensorDataType>1</tensorDataType> <!-- 0 stands for NN_DT_FP16, 5 stands for NN_DT_INT16, 3 stands for NN_DT_INT8, default is 0 -->
		<depthToSpaceInCPU>0</depthToSpaceInCPU> <!-- Do depthToSpaceInCPU in CPU, default is 0 output-->
		<spaceToDepthInCPU>0</spaceToDepthInCPU> <!-- Do spaceToDepthInCPU in CPU, default is 1 input-->
	</facesrNet>
	<useConvertColor>0</useConvertColor>
	<usefaceparsing>1</usefaceparsing>
	<faceParsingNetName>/vendor/etc/camera/semantic/model/human/new_parsing_cache</faceParsingNetName>
	<faceParsingNetInC>3</faceParsingNetInC>
	<faceParsingNetInH>256</faceParsingNetInH>
	<faceParsingNetInW>256</faceParsingNetInW>
	<faceParsingNetOutC>16</faceParsingNetOutC>
	<faceParsingNetOutH>256</faceParsingNetOutH>
	<faceParsingNetOutW>256</faceParsingNetOutW>
	<faceParsingNet>
		<nnUsage>8</nnUsage> <!-- 0 stands for NN_USAGE_NPU, 5 stands for NN_USAGE_HYBRID, Hisi platform use 0, and Mtk use 5, default is 0 -->
		<tensorDataType>1</tensorDataType> <!-- 1 stands for NN_DT_FP32, 4 stands for NN_DT_UINT8, 5 stands for NN_DT_INT16, default is 1 -->
		<tensorBufType>1</tensorBufType> <!-- 0 stands for NN_BT_NCHW, 1 stands for NN_BT_NHWC, default is 0 -->
	</faceParsingNet>
	<pasingNetNeedSubNorm>0</pasingNetNeedSubNorm>
	<maxLongEdge>5000</maxLongEdge>
	<maxShortEdge>4000</maxShortEdge>
	<useInLandMark>1</useInLandMark>
	<isBypassMultiFace>1</isBypassMultiFace>
	<maxIso>30000</maxIso>
	<blendParams>
		<enable>1</enable>
		<alpha>0.8</alpha>
	</blendParams>
</Config>
